[run]
branch = True
cover_pylib = False
parallel = True
concurrency = multiprocessing
relative_files = True
omit =
  .nox/*

[report]
# Regexes for lines to exclude from consideration
exclude_lines =
    # Have to re-enable the standard pragma
    pragma: no cover

    # Don't complain about missing debug-only code:
    def __repr__

    # Don't complain if tests don't hit defensive assertion code:
    raise AssertionError
    raise NotImplementedError

    # Don't complain if non-runnable code isn't run:
    if 0:
    if False:
    if __name__ == .__main__.:


ignore_errors = True

[paths]
salt =
  salt/
  /tmp/kitchen/testing/salt/
  /private/tmp/kitchen/testing/salt/
  C:\Users\admini~1\AppData\Local\Temp\kitchen\testing\salt\
  C:\Users\Administrator\AppData\Local\Temp\kitchen\testing\salt\
  /opt/saltstack/salt/run/salt/
tests =
  tests/
  /tmp/kitchen/testing/tests/
  /private/tmp/kitchen/testing/tests/
  C:\Users\admini~1\AppData\Local\Temp\kitchen\testing\tests\
  C:\Users\Administrator\AppData\Local\Temp\kitchen\testing\tests\
  /code/tests/
